Skip to main content
POST
/
api
/
v1
/
purchase-orders
/
{po_id}
/
create-material-request
Create Material Request From Purchase Order
curl --request POST \
  --url https://api.example.com/api/v1/purchase-orders/{po_id}/create-material-request \
  --header 'Content-Type: application/json' \
  --data '
{
  "documentId": "<string>",
  "productionOrderId": "<string>",
  "status": "<string>",
  "notes": "<string>"
}
'
{
  "id": "<string>",
  "documentId": "<string>",
  "status": "<string>",
  "createdAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

po_id
string
required

Body

application/json
documentId
string | null
productionOrderId
string | null
status
string | null
notes
string | null

Response

Successful Response

id
string
required
documentId
string | null
status
string | null
createdAt
string | null